Asterisk 1.2

Aus Deutsche Asterisk User Group
Wechseln zu: Navigation, Suche

Bei der Version 1.2 ist die Weiterentwicklung eingestellt worden, es werden höchstens noch schwerwiegende Fehler beseitigt.

Von Digium wird empfolen auf die Asterisk Version 1.4 zu updaten.


Die Version 1.2 unterstüzt folgende Codecs:


G.723 (Durchreichend bzw. mit erworbener Lizenz auch übersetzend)
GSM
G.711-ulaw
G.711-alaw
G.726
ADPCM
SLIN
LPC10
G.729 (wie G.723 nur mit Lizenz)
SPEEX (Wenn die passenden Bibliotheken "libspeex" beim kompilieren installiert sind)
ILBC


Bei dieser Version des Asterisk-Server gibt es noch kein Configure-Script. Es müssen vorher die passenden Abhängigkeiten installiert sein:

libncurses libssl zlib1g libcurl3 libspeex (wenn der SPEEX-Codec benötigt wird)

Wenn man eine H.323-Unterstützung benötigt, muss auch noch die liboh323 installiert sein.

Zur Verwendung der MusicOnHold muss bei dieser Version ebenfalls mpg123 installiert werden. Dies kann man entweder vor der Installation selbst erledigen oder im Asterisk-Verzeichnis mit make mpg123 erledigen lassen. Bei der Verwendung der make mpg123 Variante, sollte nach Beednigung des Vorganges in das MPG123-Verzeichnis gewechselt werden und ein make install ausgeführt werden, damit alles am richtigen Platz ist ;-)


Zurück